### A free/open-source library for quantitative finance

ql/pricingengines/vanilla/fdmultiperiodengine.hpp File Reference

base engine for options with events happening at specific times More...

`#include <ql/pricingengines/vanilla/fdvanillaengine.hpp>`
`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/methods/finitedifferences/fdtypedefs.hpp>`
`#include <ql/event.hpp>`
`#include <ql/exercise.hpp>`
Include dependency graph for fdmultiperiodengine.hpp:

## Detailed Description

base engine for options with events happening at specific times